
package ejerciciojdbc3;

import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.PreparedStatement;
import java.sql.ResultSet;
import java.text.SimpleDateFormat;

public class EjercicioJDBC3 {

    public static void main(String[] args) {
    String idLibroAConsultar = "00001";   // Mediante esta asignación simulamos la captura del dato desde una interfaz de usuario
    try {
              //    CONEXION MySQL
              Class.forName("com.mysql.jdbc.Driver");
              Connection connection = DriverManager.getConnection("jdbc:mysql://localhost:3306/biblioteca", "root", "");  
/*              
              //    CONEXION Oracle
              Class.forName("oracle.jdbc.driver.OracleDriver");
              Connection connection = DriverManager.getConnection("jdbc:oracle:thin:@localhost:1521:ORCL", "scott", "tiger");  
*/        
            String sql = "SELECT * FROM libros WHERE id_libro = CAST(? AS CHAR(5))";
            PreparedStatement preparedStatement = connection.prepareStatement(sql);
            preparedStatement.setString(1, idLibroAConsultar);
            ResultSet resultSet = preparedStatement.executeQuery();
            if (resultSet.next()) {
                  System.out.println("id_libro :       " + resultSet.getString(1));
                  System.out.println("título :         " + resultSet.getString(2));
                  System.out.println("género :         " + resultSet.getString(3));
                  System.out.println("fecha edición :  " + new SimpleDateFormat("yyyy-MM-dd").format(resultSet.getDate(4)));
                  System.out.println("numero páginas : " + resultSet.getInt(5));
                  System.out.println("premiado:        " + resultSet.getInt(6));                             
            }
              connection.close();
         } catch(Exception e){
            e.printStackTrace();           
         }  
    }    
}
